%define name		abisuite
%define version		1.0.3

%define release alt1

%define ABIPREFIX	%_datadir/abisuite
%define MAKEOPT     UNIX_CAN_BUILD_STATIC=0 ABI_BUILD_VERSION=%version ABI_OPT_OPTIMIZE=1 OPTIMIZER="$RPM_OPT_FLAGS"  ABI_USE_100_ISPELL=1 ABI_OPT_GNOME_DIRECT_PRINT=1 ABI_OPT_BIDI_ENABLED=1 ABI_OPT_BONOBO=1 ABI_OPT_LIBJPEG=1  ABI_OPT_LIBXML2=1 ABI_OPT_GNOME=0
Name: %name
Summary: Lean and fast full-featured word processor
Version: %version
Release: %release
Group: Office
License: GPL
Url: http://www.abisource.com/
Source: http://download.abisource.com/releases/%version/src/lf/abiword-%version.tar.bz2
Source1: abiword-plugins.tar.bz2  
#Source:		http://download.abisource.com/releases/%version/src/lf/abi-%version.tar.bz2
#Source1:	http://download.abisource.com/releases/%version/src/lf/abidistfiles-%version.tar.bz2
#Source2:	http://download.abisource.com/releases/%version/src/lf/expat-%version.tar.bz2
#Source3:	http://download.abisource.com/releases/%version/src/lf/unixfonts-%version.tar.bz2
#Source4:	http://download.abisource.com/releases/%version/src/lf/psiconv-%version.tar.bz2
##Source5:	http://download.abisource.com/releases/%version/src/lf/libiconv-.tar.bz2
#Source9:	http://download.abisource.com/releases/%version/src/lf/wv-%version.tar.bz2
Source6: abiword-48.xpm.bz2
Source7: abiword-32.xpm.bz2
Source8: abiword-16.xpm.bz2
#Source9: 	urw-fonts-val.tar.bz2
Source10: abiword.keys
Source11: abiword.mime

# ALT patches
Patch: abiword-1.0.2-fontpath.patch
Patch1: abi-wrapper.patch
Patch2:	abiword-1.0.2-libxml2.patch
Patch3: abiword-1.0.2-oaf.patch
#Patch4: 	abiword-0.9.4.1-gprint.patch

Requires: gtk+ >= 1.2
Requires: glib
Requires: expat
Requires: libpng >= 1.0.5
# Automatically added by buildreq on Wed Sep 25 2002
BuildRequires: ORBit-devel XFree86-devel esound-devel freetype2-devel gcc-c++ gdk-pixbuf-devel glib-devel glibc-devel-static  gtk+-devel imlib-devel libGConf libImageMagick-devel libaudiofile-devel libbonobo-devel libdb1-devel libexpat-devel libgal-devel libglade-devel libjpeg-devel libpng-devel-static libpopt-devel libssl libstdc++-devel libtiff-devel libxforms-devel libxml-devel libxml2-devel oaf-devel zlib-devel-static

BuildRequires: libwmf-devel glib-devel gtk+-devel freetype-devel xpm-devel zlib-devel libpng-devel expat-devel libxml-devel
BuildRequires: libgal-devel >= 0.8 libpng-devel-static  
PreReq: chkfontpath
AutoReq: yes, noshell

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images

%prep
#setup -q -n abi -b 1 -b 2 -b 3 -b 4 -b 9
%setup -q -nabiword-%version
%patch -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
#patch4 -p1
#cd unixfonts
#  tar jxvf %SOURCE9
#cd -

%build
cd abi
make %MAKEOPT prefix=%prefix
cd -

%install
cd abi
make %MAKEOPT prefix=$RPM_BUILD_ROOT%ABIPREFIX install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/oaf
mv $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/bin/* $RPM_BUILD_ROOT%_bindir
( cd $RPM_BUILD_ROOT%_bindir; ln -s AbiWord abiword )
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/bin/AbiWord
perl -pi -e "s,%ABIPREFIX/AbiSuite/bin,%_bindir," $RPM_BUILD_ROOT%_bindir/AbiWord
rm -rf $RPM_BUILD_ROOT%ABIPREFIX/bin/
rm -rf $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/bin/
rm -f $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/COPYING  $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/readme.txt
# replace abi american dictionary
cp -f  %_libdir/ispell/americanmed+.hash $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/dictionary/american.hash
#copying oaf-files
cp $RPM_BUILD_DIR/abiword-%version/abidistfiles/*.oaf $RPM_BUILD_ROOT%_datadir/oaf
cp $RPM_BUILD_DIR/abiword-%version/abidistfiles/*.xml $RPM_BUILD_ROOT%_datadir/oaf

mkdir -p $RPM_BUILD_ROOT%_datadir/mime-info
cp %SOURCE10 %SOURCE11 $RPM_BUILD_ROOT%_datadir/mime-info

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_liconsdir/abiword.xpm
bzcat %SOURCE7 > $RPM_BUILD_ROOT%_iconsdir/abiword.xpm
bzcat %SOURCE8 > $RPM_BUILD_ROOT%_miconsdir/abiword.xpm

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="abiword.xpm" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

chmod 644 $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/fonts/*
chmod 644 $RPM_BUILD_ROOT%ABIPREFIX/AbiSuite/icons/*

%files
%doc abi/user/wp/readme.txt abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT  abi/VERSION.TXT
%doc abi/docs/*.abw abi/docs/*.txt abi/docs/*.html abi/docs/status/*.x*
%dir %ABIPREFIX
%dir %ABIPREFIX/AbiSuite
%ABIPREFIX/AbiSuite/AbiWord
%config(noreplace) %ABIPREFIX/AbiSuite/fonts/fonts.dir
%config(noreplace) %ABIPREFIX/AbiSuite/fonts/fonts.scale
%ABIPREFIX/AbiSuite/fonts/*.afm
%ABIPREFIX/AbiSuite/fonts/*.pfb
%ABIPREFIX/AbiSuite/fonts/*.u2g
%ABIPREFIX/AbiSuite/icons
%ABIPREFIX/AbiSuite/dictionary
%ABIPREFIX/AbiSuite/clipart
%_datadir/oaf
%_bindir/*
%_iconsdir/abiword.xpm
%_miconsdir/abiword.xpm
%_liconsdir/abiword.xpm
%_menudir/%name
%_datadir/mime-info/abi*

%post
%update_menus

%postun
%clean_menus
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %ABIPREFIX/AbiSuite/fonts
fi

%changelog
* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0.3-alt1
- new version
- built w/o gnome

* Thu Jun 06 2002 AEN <aen@logic.ru> 1.0.2-alt1
- new version

* Sun Jun 02 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.99.3-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.9.4.1-alt6
- rebuilt with gal-0.19

* Wed Nov 22 2001 AEN <aen@logic.ru> 0.9.4.1-alt5
- print patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.9.4.1-alt4
- rebuild with new libgal

* Fri Oct 25 2001 AEN <aen@logic.ru> 0.9.4.1-alt3
- rebuild with new libgal

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.9.4.1-alt2
- rebuilt with libpng.so.3

* Tue Oct 9 2001 AEN <aen@logic.ru> 0.9.4.1-alt1
- new version
- build w/o bidi (temporary)

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.9.2-alt2
- rebuild with new libgal
* Thu Aug 16 2001 AEN <aen@logic.ru> 0.9.2-alt1
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.9-alt4
- don't add  Abisource fonts to fontpath!
* Mon Aug 13 2001 AEN <aen@logic.ru> 0.9-alt3
- s/666/644/g
* Fri Aug 10 2001 AEN <aen@logic.ru> 0.9-alt2
- direct print enabled
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.9-alt1
- 0.9
* Tue Jul 17 2001 AEN <aen@logic.ru> 0.9-alt0.4
- new snapshot
- cp1251 added to encodettf

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.3
- i18n patch (belarusian, hebrew & ukrainian support)
* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.2
- ABI_USE_100_ISPELL
- use ispell american dictionary

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.1
- snapshot 010709

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.7.14-alt3
- rebuild with libgal-0.9
- new wrapper patch

* Sat Jun 9 2001 AEN <aen@logic.ru> 0.7.14-alt2
- bidi enabled

* Fri May 25 2001 AEN <aen@logic.ru> 0.7.14-alt1
- sync with MDK
- build with gnome
- unichar patch

* Tue Feb 27 2001 AEN <aen@logic.ru>
- 0.7.13

* Thu Nov 30 2000 AEN <aen@logic.ru>
- gcc296 patch
- build for 7.2RE

* Tue Oct 10 2000 AEN <aen@logic.ru>
- two small patches

* Sun Oct 8 2000 AEN <aen@logic.ru>
- New patch from hvv

* Mon Oct 2 2000 AEN <aen@logic.ru>
- build for RE with i18n patch from Vlad Harchev (hvv@hyppo.ru)

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
